Bug 47383 - Please check Transfer-Encoding is "chunked" with no-case sensitivity.
Summary: Please check Transfer-Encoding is "chunked" with no-case sensitivity.
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy_http (show other bugs)
Version: 2.5-HEAD
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2009-06-17 07:37 UTC by Ryuzo Yamamoto
Modified: 2009-12-27 19:32 UTC (History)
0 users



Attachments
Fix checking Transfer-Encoding is "chunked". (636 bytes, patch)
2009-06-17 07:37 UTC, Ryuzo Yamamoto
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuzo Yamamoto 2009-06-17 07:37:33 UTC
Created attachment 23825 [details]
Fix checking Transfer-Encoding is "chunked".

Currently, mod_proxy_http.c checks Transfer-Encoding header with case sensitivity.
So, I have a problem with mod_proxy + mod_dav + WebDAVFS (MacOSX Finder).

WebDAVFS send request header like 

Transfer-Encoding: Chunked

Please check the patch.
Comment 1 Nick Kew 2009-06-17 08:22:11 UTC
Fixed in trunk in r785661 - thanks.
Comment 2 Ryuzo Yamamoto 2009-06-18 21:10:02 UTC
(In reply to comment #1)
> Fixed in trunk in r785661 - thanks.

Thank you.
This fix will be included in next release (2.2.12) ?

I have a workaround in current version (2.2.11).

[httpd.conf]
--
RequestHeader edit Transfer-Encoding Chunked chunked early
--
Comment 3 Nick Kew 2009-12-26 12:38:27 UTC
CHANGES shows this fixed in 2.2.12
Comment 4 Nick Kew 2009-12-26 12:38:48 UTC
CHANGES shows this fixed in 2.2.12
Comment 5 Ryuzo Yamamoto 2009-12-27 19:32:16 UTC
Thank you.